Observability
Get Observability Session
Gets a specific session metadata by ID.
Gets a specific session metadata by ID.
Authorization
auth-token AuthorizationBearer <token>
All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Query Parameters
platform*string
The platform type to filter sessions by.
Value in
"android" | "ios" | "web"session_id*string
The unique identifier of the session to retrieve.
Format
textLength
1 <= lengthversion_key*string
The unique app ID to which the session belongs.
Format
textLength
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.devrev.ai/observability.sessions.get?platform=android&session_id=string&version_key=string"{
"session": {
"type": "mobile",
"platform": "android",
"session_id": "string",
"created_at": "2023-01-01T12:00:00.000Z",
"device_metadata": {
"app_version": "string",
"manufacturer": "string",
"model": "string",
"network_type": "string",
"os_version": "string",
"plug_sdk_version": "string",
"screen_height": 0,
"screen_width": 0,
"sdk_version": "string"
},
"has_exception_occurred": true,
"is_anr": true,
"is_crash": true,
"rage_tap": true,
"recording_ids": [
"string"
],
"rev_org_id": "REV-AbCdEfGh",
"rev_user_id": "string",
"session_duration_ms": 0
}
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}